ULX

Author Topic: Ulib Error  (Read 445 times)

0 Members and 1 Guest are viewing this topic.

Offline guushiyt

  • Newbie
  • *
  • Posts: 20
  • Karma: 1
Ulib Error
« on: August 31, 2020, 10:56:48 AM »
My versions of ULX/ULIB is the latest version
Gamemode TTT

Every time a player connects or disconnects this error is thrown. Any clue what's causing it?

[ulib] lua/includes/extensions/table.lua:50: bad argument #1 to 'pairs' (table expected, got nil)
  1. pairs - [C]:-1
   2. Empty - lua/includes/extensions/table.lua:50
    3. fn - addons/ulx/lua/ulx/modules/cl/xgui_client.lua:464
     4. func - addons/ulib/lua/ulib/client/cl_util.lua:22
      5. unknown - lua/includes/extensions/net.lua:32 (x2)

Offline JamminR

  • Ulysses Team Member
  • Hero Member
  • *****
  • Posts: 8078
  • Karma: 389
  • Sertafide Ulysses Jenius
    • Team Ulysses [ULib/ULX, other fine releases]
Re: Ulib Error
« Reply #1 on: September 01, 2020, 06:36:00 PM »
Error is pretty generic.
Have a broken UTime or Apromote? This person had same error and UTime was broken. Never answered the community on what versions they were running (nor did you complete the template when posting here - we have 3 official places to get both products, each one slightly 'newer' than next - say saying latest doesn't help)
https://forums.ulyssesmod.net/index.php/topic,9500.msg48539.html#msg48539
"Though a program be but three lines long, someday it will have to be maintained." -- The Tao of Programming